> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polinate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an item by ID

> Retrieves a single item by ID including its variants.



## OpenAPI

````yaml openapi.json get /api/v1/items/{id}
openapi: 3.0.3
info:
  title: Polinate External API
  version: 1.0.0
  description: >-
    External API for partners and services. Authentication via X-Business-Id and
    X-API-Key headers.


    Credentials location: In the Polinate app, navigate to Business Settings →
    Integrations to find your Business ID and API Key.
servers:
  - url: https://integrations.polinate.ai
    description: Production
security: []
tags:
  - name: Items
    description: >-
      Manage items and item variants. Auth: X-Business-Id and X-API-Key (see
      Business Settings → Integrations).
  - name: Buyers
    description: >-
      Create buyers and related contacts/locations. Auth: X-Business-Id and
      X-API-Key (see Business Settings → Integrations).
  - name: Pricing
    description: >-
      Create price lists and entries. Auth: X-Business-Id and X-API-Key (see
      Business Settings → Integrations).
  - name: Invoices
    description: >-
      List and update invoices. Auth: X-Business-Id and X-API-Key (see Business
      Settings → Integrations).
  - name: Orders
    description: >-
      Order ingestion. Auth: X-Business-Id and X-API-Key (see Business Settings
      → Integrations).
paths:
  /api/v1/items/{id}:
    get:
      tags:
        - Items
      summary: Get an item by ID
      description: Retrieves a single item by ID including its variants.
      operationId: getItem
      parameters:
        - schema:
            type: string
            example: itm_123
          required: true
          name: id
          in: path
        - schema:
            type: string
            description: >-
              Business identifier for external auth. Find in Polinate app →
              Business Settings → Integrations.
            example: '{{businessId}}'
          required: true
          name: X-Business-Id
          in: header
        - schema:
            type: string
            description: >-
              Per-business API key for external auth. Find in Polinate app →
              Business Settings → Integrations.
            example: '{{apiKey}}'
          required: true
          name: X-API-Key
          in: header
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemDetailResponse'
              example:
                id: itm_123
                name: Widget
                handle: widget-1
                type: OTHER
                status: ACTIVE
                variants:
                  - id: var_small
                    itemId: itm_123
                    variantName: Small
                    sku: SKU-S
                    currency: AUD
                    price: 9.99
                    cost: 5
                    weight: 0.5
                    unitOfMeasure: kg
                    sequence: 1
                  - id: var_large
                    itemId: itm_123
                    variantName: Large
                    sku: SKU-L
                    currency: AUD
                    price: 14.99
                    cost: 8
                    weight: 1
                    unitOfMeasure: kg
                    sequence: 2
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardError'
        '429':
          description: Rate limited
          headers:
            Retry-After:
              schema:
                type: string
              description: Seconds to wait before retrying
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardError'
components:
  schemas:
    ItemDetailResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        handle:
          type: string
        description:
          type: string
          nullable: true
        imgUrl:
          type: string
          nullable: true
        customType:
          type: string
          nullable: true
        brand:
          type: string
          nullable: true
        vendorName:
          type: string
          nullable: true
        type:
          type: string
        status:
          type: string
        properties:
          type: object
          properties: {}
        createdAt:
          type: string
        updatedAt:
          type: string
        deletedAt:
          type: string
          nullable: true
        variants:
          type: array
          items:
            $ref: '#/components/schemas/ItemVariantDetail'
      required:
        - id
        - name
        - handle
    StandardError:
      type: object
      properties:
        errorCode:
          type: string
        message:
          type: string
        fieldErrors:
          type: object
          additionalProperties:
            type: string
      required:
        - errorCode
        - message
    ItemVariantDetail:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        variantName:
          type: string
        sku:
          type: string
          nullable: true
        barcode:
          type: string
          nullable: true
        upc:
          type: string
          nullable: true
        isDefault:
          type: boolean
        currency:
          type: string
          enum:
            - USD
            - EUR
            - GBP
            - CAD
            - AUD
            - NZD
            - CHF
            - JPY
            - CNY
            - INR
            - BRL
            - MXN
            - ARS
            - COP
            - PHP
        price:
          type: number
        cost:
          type: number
        weight:
          type: number
          nullable: true
        length:
          type: number
          nullable: true
        width:
          type: number
          nullable: true
        height:
          type: number
          nullable: true
        unitOfMeasure:
          type: string
          nullable: true
        leadTime:
          type: number
          nullable: true
        reorderPoint:
          type: number
          nullable: true
        reorderQuantity:
          type: number
          nullable: true
        inStockQuantity:
          type: number
          nullable: true
        onOrderQuantity:
          type: number
          nullable: true
        conversionFactor:
          type: number
          nullable: true
        countryOfOrigin:
          type: string
          nullable: true
        hsCode:
          type: string
          nullable: true
        eccn:
          type: string
          nullable: true
        customsDeclarationInfo:
          type: string
          nullable: true
        sequence:
          type: number
        properties:
          type: object
          properties: {}
        createdAt:
          type: string
        updatedAt:
          type: string
        deletedAt:
          type: string
          nullable: true
      required:
        - id
        - itemId
        - variantName

````